settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true
console.info('Scripts have been reloaded')
onEvent('recipes', e => {
	//remove block recipe
	function removeBlock(block) {e.remove({output: block})}
	//cobblestone
	removeBlock('extrautilitiesrebirth:compressed_cobblestone')
	removeBlock('extrautilitiesrebirth:double_compressed_cobblestone')
	removeBlock('extrautilitiesrebirth:triple_compressed_cobblestone')
	removeBlock('extrautilitiesrebirth:quadruple_compressed_cobblestone')
	removeBlock('extrautilitiesrebirth:quintuple_compressed_cobblestone')
	removeBlock('extrautilitiesrebirth:sextuple_compressed_cobblestone')
	removeBlock('extrautilitiesrebirth:septuple_compressed_cobblestone')
	removeBlock('extrautilitiesrebirth:octuple_compressed_cobblestone')
	//gravel
	removeBlock('extrautilitiesrebirth:compressed_gravel')
	removeBlock('extrautilitiesrebirth:double_compressed_gravel')
	//sand
	removeBlock('extrautilitiesrebirth:compressed_sand')
	removeBlock('extrautilitiesrebirth:double_compressed_sand')
	//dirt
	removeBlock('extrautilitiesrebirth:compressed_dirt')
	removeBlock('extrautilitiesrebirth:double_compressed_dirt')
	removeBlock('extrautilitiesrebirth:triple_compressed_dirt')
	removeBlock('extrautilitiesrebirth:quadruple_compressed_dirt')
	//allthemodium
	e.remove({output: "allthemodium:allthemodium_ingot", type: "minecraft:smelting"})
	e.remove({output: "allthemodium:allthemodium_ingot", type: "minecraft:blasting"})
	e.remove({output: "allthemodium:allthemodium_ingot", type: "create:bulkblasting"})
	//trash cans
	removeBlock('extrautilitiesrebirth:trash_can')
	removeBlock('extrautilitiesrebirth:trash_can_energy')
	removeBlock('extrautilitiesrebirth:trash_can_fluid')
	//random
	removeBlock('mysticalagriculture:infusion_crystal')
	removeBlock('8x minecraft:oak_sapling')
	removeBlock('mysticalagriculture:prosperity_gemstone')
	removeBlock("tiab:timeinabottle")
	removeBlock('projecte:medium_covalence_dust')
	removeBlock('cyclic:collector')
	removeBlock('projecte:philosophers_stone')
	removeBlock('mining_dimension:teleporter')
	removeBlock('mysticalagriculture:stone_seeds')
	removeBlock('tconstruct:tinkers_chest')
	removeBlock('minecraft:furnace')
	removeBlock('projecte:condenser_mk1')
	removeBlock('#exnihilosequentia:sieves')
	removeBlock('#excompressum:heavy_sieve')
	removeBlock('immersiveengineering:conveyor_basic')
	removeBlock('immersiveengineering:conveyor_extract')
	removeBlock('pipez:item_pipe')

	removeBlock('compressium:cobblestone_1')
	removeBlock('compressium:gravel_1')
	removeBlock('compressium:sand_1')
	removeBlock('compressium:dirt_1')
	removeBlock('compressium:netherrack_1')
	removeBlock('compressium:netherrack_2')

	removeBlock('compressium:cobblestone_2')
	removeBlock('compressium:gravel_2')
	removeBlock('compressium:sand_2')
	removeBlock('compressium:dirt_2')
	removeBlock('fluxnetworks:flux_point')
	removeBlock('fluxnetworks:flux_plug')
	removeBlock('allthemodium:teleport_pad')
	removeBlock('compressium:soulsand_1')
	removeBlock('tesseract:tesseract')
	removeBlock('4x extrautilitiesrebirth:stone_spike')

	//enderchests mods
	e.remove({mod: 'enderstorage'})
	e.remove({mod: 'enderchests'})
	//block recipes
	e.shaped('minecraft:dirt', ['II','II'], {I: "mysticalagriculture:inferium_essence",})
	e.shaped('minecraft:oak_log', ['ID','DD'], {D: "minecraft:dirt",I: "mysticalagriculture:inferium_essence"})
	e.shaped('minecraft:oak_planks', ['S','S'], {S: "minecraft:oak_slab"})
	e.shaped('minecraft:oak_sapling', ['EE','EE'], {E: "mysticalagriculture:wood_essence"})
	e.shaped('mysticalagriculture:prosperity_gemstone', [' S ','SCS',' S '], {S: "mysticalagriculture:prosperity_shard",C: "compressium:cobblestone_2"})
	e.recipes.botaniaRunicAltar('tiab:timeinabottle', ['minecraft:clock','botania:rune_winter','botania:rune_autumn','botania:rune_summer','botania:rune_spring'],10000)
	e.shaped('8x fluxnetworks:flux_dust', ['RRR','RCR','RRR'], {R:'minecraft:redstone',C:'minecraft:coal'})
	e.shaped('40x projecte:medium_covalence_dust', ['IB',], {I:'minecraft:iron_ingot',B:'minecraft:light_blue_dye'})
	e.shaped('mysticalagriculture:soulstone_cobble', [' D ','DCD',' D '], {C: 'minecraft:cobblestone',D: 'mysticalagriculture:soulium_dust'})
	e.shaped('cyclic:collector', ['ILI','DED','HHH'], {I: 'minecraft:iron_ingot',D: 'minecraft:dropper',L: 'minecraft:lapis_block',E: 'minecraft:ender_pearl',H: 'minecraft:hopper'})
	e.shaped('projecte:philosophers_stone', ['SIS','ITI','SIS'], {S: 'minecraft:nether_star',I: 'mysticalagradditions:insanium_essence',T: 'twilightforest:lich_trophy'})
	e.shaped('tconstruct:tinkers_chest', [' P ','LCL','LAL'], {P: 'tconstruct:pattern',C: '#forge:chests/wooden',L: '#minecraft:logs',A: '#minecraft:planks'})
	e.shaped('kubejs:tin_ore_chunk', ['PP','PP'], {P: "kubejs:tin_ore_piece"})
	e.shaped('minecraft:furnace', ['CCC','C C','SSS'], {C: 'minecraft:cobblestone',S: 'minecraft:smooth_stone'})
	e.shaped('4x thermal:cured_rubber', ['EEE','E E','EEE'], {E: 'mysticalagriculture:rubber_essence'})
	e.shaped('projecte:condenser_mk1', ['OBO','BCB','OBO'], {O: '#forge:obsidian', B: 'minecraft:diamond_block',C: 'projecte:alchemical_chest'})
	e.shaped('kubejs:diamond_stick', ['D','D'], {D: 'minecraft:diamond'})
	e.shaped('exnihilosequentia:sieve', ['P P','PSP','A A'], {P: '#minecraft:planks',S: '#minecraft:wooden_slabs',A: 'kubejs:diamond_stick'})
	e.shaped('excompressum:oak_heavy_sieve', ['L L','LSL','A A'], {L: '#minecraft:logs',A: 'kubejs:diamond_stick',S:'exnihilosequentia:sieve'})
	e.shaped('16x minecraft:stone', ['EEE','EEE','EEE'], {E: 'mysticalagriculture:stone_essence'})
	e.shaped('fluxnetworks:flux_plug', ['PCP','CRC','PCP'], {P: 'pipez:universal_pipe',C: 'fluxnetworks:flux_core',R: 'fluxnetworks:flux_block'})
	e.shaped('fluxnetworks:flux_point', ['PCP','CRC','PCP'], {P: 'pipez:universal_pipe',C: 'fluxnetworks:flux_core',R: 'minecraft:redstone_block'})
	e.shaped('4x minecraft:shulker_shell', ['EEE','E E','EEE'],{E: 'mysticalagriculture:shulker_essence'})
	e.shaped('8x appliedenergistics2:silicon', ['EEE'], {E: 'mysticalagriculture:silicon_essence'})
	e.shaped('4x extrautilitiesrebirth:stone_spike', [' S ','SCS','CAC'], {S: Item.of('minecraft:stone_sword', '{Damage:0}'),C: 'minecraft:cobblestone',A: 'excompressum:compressed_cobblestone'})
	e.shaped('tconstruct:necrotic_bone', ['EEE','EBE','EEE'], {E: 'mysticalagriculture:wither_skeleton_essence',B: 'minecraft:bone'})
	//machinery recipe
	e.shaped(Item.of('custommachinery:custom_machine_item', '{machine:"custommachinery:seed_deconstructor"}'), ['RBR','BSB','RBR'], {R: 'minecraft:redstone',B: 'minecraft:redstone_block',S: 'mysticalagriculture:inferium_seeds'})
	e.shaped(Item.of('custommachinery:custom_machine_item', '{machine:"custommachinery:seed_reconstructor"}'), ['SS','SS'], {S: 'mysticalagriculture:inferium_seeds'})
	//compressed block
	e.shaped('compressium:cobblestone_2', ['CCC','CCC','CCC'], {C: 'excompressum:compressed_cobblestone'})
	e.shaped('compressium:gravel_2', ['GGG','GGG','GGG'], {G: 'excompressum:compressed_gravel'})
	e.shaped('compressium:sand_2', ['SSS','SSS','SSS'], {S: 'excompressum:compressed_sand'})
	e.shaped('compressium:dirt_2', ['DDD','DDD','DDD'], {D: 'excompressum:compressed_dirt'})
	//transportation
	e.shaped('16x immersiveengineering:conveyor_basic', ['LLL','IRI'],{L: 'minecraft:leather',I: 'minecraft:iron_ingot',R: 'minecraft:redstone'})
	e.shaped('8x pipez:item_pipe', ['CIC','DCD','CIC'], {C: 'immersiveengineering:conveyor_basic',D: 'minecraft:dropper',I: 'minecraft:iron_ingot'})
	e.shaped('immersiveengineering:conveyor_extract', ['HC',],{C: 'immersiveengineering:conveyor_basic',H: 'minecraft:hopper'})
	e.shaped('tesseract:tesseract', ['ODO','DPD','ODO'],{O: 'minecraft:obsidian',D: 'minecraft:ender_pearl',P: 'pipez:universal_pipe'})
	//mining dimension recipe
	e.shaped('mining_dimension:teleporter', ['LAL','PLP','LAL'], {L: "#minecraft:logs",P: "#minecraft:planks",A: Item.of("tconstruct:pickaxe_head", {Material: "tconstruct:wood"})})
	//shapeless
	e.shapeless('cyclic:gem_amber', ['minecraft:stone', 'minecraft:fire_charge', 'minecraft:blaze_powder'])
	e.shapeless('minecraft:flint', ['3x minecraft:gravel'])
	e.shapeless('industrialforegoing:dryrubber', ['8x thermal:cured_rubber', 'minecraft:white_dye'])
	e.shapeless('9x excompressum:compressed_cobblestone', ['compressium:cobblestone_2'])
	e.shapeless('9x compressium:cobblestone_2', ['compressium:cobblestone_3'])

	e.remove({input: '9x compressium:soulsand_1'})
	e.shapeless('compressium:soulsand_2', ['9x excompressum:compressed_soul_sand'])
	e.shapeless('9x excompressum:compressed_soul_sand', ['compressium:soulsand_2'])
	
	e.shapeless('9x excompressum:compressed_dirt', ['compressium:dirt_2'])
	e.shapeless('9x compressium:dirt_2', ['compressium:dirt_3'])

	e.shapeless('9x excompressum:compressed_sand', ['compressium:sand_2'])
	e.shapeless('9x compressium:sand_2', ['compressium:sand_3'])
	e.shapeless('mekanism:creative_fluid_tank', ['mekanism:creative_fluid_tank'])

	e.shapeless('compressium:netherrack_2', ['9x excompressum:compressed_netherrack'])
	e.shapeless('9x excompressum:compressed_netherrack', ['compressium:netherrack_2'])
	e.shapeless('9x compressium:netherrack_2', ['compressium:netherrack_3'])

	
	//Immortality#2794's code
	e.shapeless('mysticalagriculture:prudentium_essence', ['#matc:inferium', '4x mysticalagriculture:inferium_essence'])
	e.shapeless('mysticalagriculture:tertium_essence', ['#matc:prudentium', '4x mysticalagriculture:prudentium_essence'])
	e.shapeless('mysticalagriculture:imperium_essence', ['#matc:tertium', '4x mysticalagriculture:tertium_essence'])
	e.shapeless('mysticalagriculture:supremium_essence', ['#matc:imperium', '4x mysticalagriculture:imperium_essence'])
	e.shapeless('mysticalagradditions:insanium_essence', ['#matc:supremium', '4x mysticalagriculture:supremium_essence'])
	//Immortality#2794's code
	e.shapeless('mysticalagriculture:prudentium_block', ['#matc:inferium', '4x mysticalagriculture:inferium_block'])
	e.shapeless('mysticalagriculture:tertium_block', ['#matc:prudentium', '4x mysticalagriculture:prudentium_block'])
	e.shapeless('mysticalagriculture:imperium_block', ['#matc:tertium', '4x mysticalagriculture:tertium_block'])
	e.shapeless('mysticalagriculture:supremium_block', ['#matc:imperium', '4x mysticalagriculture:imperium_block'])
	e.shapeless('mysticalagradditions:insanium_block', ['#matc:supremium', '4x mysticalagriculture:supremium_block'])
})